glibmm 2.60.0

Public Types | Static Public Member Functions | List of all members
Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/volume.h>`

## Public Types
using | CppType = Glib::RefPtr< Gio::Volume >
using | CType = GVolume*
using | CTypeNonConst = GVolume*

## Static Public Member Functions
static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

## ◆ CppType

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CppType = Glib::RefPtr<Gio::Volume>

## ◆ CType

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CType = GVolume*

## ◆ CTypeNonConst

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CTypeNonConst = GVolume*

## Member Function Documentation

## ◆ release_c_type()

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::release_c_type | ( | CType | item | ) |
| inline static

## ◆ to_c_type()

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::to_c_type | ( | const CppType& | item | ) |
| inline static

## ◆ to_cpp_type()

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::to_cpp_type | ( | const CType& | item | ) |
| inline static